# %{ver}, %{rel}, %{pversion}, %{syslodgver} are provided by the Makefile
%define ver 4.1.15
%define rel 1

# the expect script we've used for a while seems to occasionally have
# timing issues, particularly on ppc32/64 - this disables/enables it
%define skip_expect 1

# PAM version we're using
%define pversion 0.99.8.1
%define syslogdver 1.4.2rh

Summary: LSB Core Test Suite
Name: lsb-test-core
Version: %{ver}
Release: %{rel}
License: Artistic
Group: Development/Tools
Source0: install_scripts-%{version}.tar.gz
Source1: build_scripts-%{version}.tar.gz
Source2: lsb-test-core-%{version}.tar.gz
Source3: auto_configure_test_suites
Source4: Linux-PAM-%{pversion}.tar.bz2
Source5: sysklogd-%{syslogdver}.tar.gz
Source6: tetexec.cfg
Patch3: lsb-test-core-chroot-param.patch
Patch4: lsb-test-core-lsbcc.patch
Patch5: lsb-test-core-isnan.patch
Patch6: lsb-test-core-posix.patch
Patch7: Linux-PAM-%{pversion}-lsbcc.patch
Patch8: lsb-test-core-private-libpam_misc.patch
Patch10: tet3.7-lite-getline.patch
Patch11: syslogd-lsbcc.patch
# (sb) keep, but don't use for normal builds, helps in debugging threads issues
Patch12: lsb-test-core-vsth-debug.patch
# sidestep using expect for the build
Patch14: lsb-test-core-no-expect.patch
Patch15: lsb-test-core-no-expect2.patch
Patch16: lsb-test-core-bug-2688.patch
Patch17: lsb-test-core-speedfactor.patch
Patch18: tet3.7-lite-tmpresfp.patch
URL: http://www.linuxbase.org/test
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb-tet3-lite >= 3.7-12
Obsoletes: lsb-runtime-test <= 3.1.1
Provides: lsb-runtime-test
BuildRequires: lsb-tet3-lite-devel >= 3.7-18

%if ! %{skip_expect}
BuildRequires: expect
%endif

%define	tet_root	%{_libdir}/tet
%define tet_home	/home/tet/test_sets
%define irootbase	/opt/lsb/test/core
%define iroot		%{irootbase}/tet
# (sb) - allow us to tune build for debugging issues
%define save_journal	1
# (sb) - defined in Makefile
%define pwd		%{_sourcedir}
# (sb) - set per overrides in rpmbuild command
%{?_with_noclean: %{expand: %%global no_clean 1}}
%{?_without_savejournal: %{expand: %%global save_journal 0}}

%description
This is a binary version of the LSB core test suite. This version
is generated from the following source test suites:

lts_vsx-pcts-%{version}.tgz - POSIX.1 test suite
lts_lsb-os-%{version}.tgz - LSB-OS test suite
lts_lsb-fhs-%{version}.tgz - FHS 2.2 test suite
lts_lsb-initd-%{version}.tgz - LSB startup scripts test suite
lts_lsb-release-%{version}.tgz - LSB tests for lsb_release
lts_lsb-profile.d-%{version}.tgz - LSB tests for profile.d behavior
lts_usersgroups-%{version}.tgz - LSB Users/Groups test suites
lts_li18nux2k.l1-%{version}.tgz - li18nux2k level 1 test suite
lts_vsthlite-%{version}.tgz - VSTHlite test suite
lts_lsb-pam-%{version}.tgz - LSB-PAM test suite

Header file tests from the test suites were removed as
this is an ABI test suite. 

The LSB.os aio tests are not built at this time, as aio is not
part of LSB since v1.3.

*WARNING* This test suite contains a number of setuid and setgid
binaries some of which are owned by root or other users. Other setuid
and setgid binaries may be generated and left behind after execution
of the test suites (especially if certain tests fail). You should not
leave this package installed on production systems or in situations
where local users are not completely trusted.

The test suites use the following tet/vsxgen framework tarball to be 
build and run:

tet_vsxgen_3.7.tgz - tet/vsxgen framework

and install.sh script to be installed and setup.

#==================================================
%prep

LDSO_VERSION=3

%ifarch %{ix86}
LDSO=/lib/ld-lsb.so.$LDSO_VERSION
OLDSO=/lib/ld-linux.so.2
%endif
%ifarch ppc
LDSO=/lib/ld-lsb-ppc32.so.$LDSO_VERSION
OLDSO=/lib/ld.so.1
%endif
%ifarch ppc64
LDSO=/lib64/ld-lsb-ppc64.so.$LDSO_VERSION
OLDSO=/lib64/ld64.so.1
%endif
%ifarch s390
LDSO=/lib/ld-lsb-s390.so.$LDSO_VERSION
OLDSO=/lib/ld.so.1
%endif
%ifarch s390x
LDSO=/lib64/ld-lsb-s390x.so.$LDSO_VERSION
OLDSO=/lib/ld64.so.1
%endif
%ifarch ia64
LDSO=/lib/ld-lsb-ia64.so.$LDSO_VERSION
OLDSO=/lib/ld-linux-ia64.so.2
%endif
%ifarch x86_64
LDSO=/lib64/ld-lsb-x86-64.so.$LDSO_VERSION
OLDSO=/lib64/ld-linux-x86-64.so.2
%endif

cat > LDSOFILE << EOF
LDSO=$LDSO
OLDSO=$OLDSO
EOF

%if ! %{skip_expect}
  if [ ! -x /usr/bin/expect ]; then
    echo "Could not find expect, which is required to build the package"
    exit 1
  fi
%endif

if [ ! -e $LDSO ]
then
  echo "Cannot find $LDSO file on your system"
  echo "Please install the distro lsb support package, create a symbolic"
  echo "link to $OLDSO or install the lsb-dummy package"
  exit 1
fi

%setup -q -c 
%setup -q -D -b 1 -c
%setup -q -D -b 2 -c
%setup -q -D -b 4 -c
%setup -q -D -b 5 -c

#==================================================
%build
export LSBCC_BESTEFFORT=1
# bug 2709 - F9, 10 default to using ccache, this build doesn't care for it
export CCACHE_DISABLE=1

# build our syslogd
pushd sysklogd-%{syslogdver}
patch -p0 -b -z .lsbcc < %{PATCH11}
make syslogd
popd

# build our private libpam_misc 
pushd Linux-PAM-%{pversion}
patch -p0 -b -z .lsbcc < %{PATCH7}
CC=lsbcc ./configure --disable-shared --enable-static
make -C libpam
make -C libpam_misc
ar r libpam_misc/.libs/libpam_misc.a libpam/pam_env.o libpam/pam_syslog.o libpam/pam_misc.o
ar t libpam_misc/.libs/libpam_misc.a
popd

# read in the saved information from the prep phase
# move this so we don't need to delete it and can use --short-circuit
mv ../LDSOFILE .
. ./LDSOFILE
CC="cc -Wall -Wl,--dynamic-linker=${LDSO}"
CC="lsbcc"
# nonroot
sed -i 's|^  exit 1|  #exit 1|g' install.sh
TOPDIR=`pwd`
sed -i "s|cmd=/home/tet|cmd=$TOPDIR/tet|" install.sh
OLDPATH=`echo $PATH`
export PATH=$TOPDIR:$PATH
ln -s /bin/true chown
ln -s /bin/true chgrp
ln -s /bin/true usermod
# end nonroot

# bug 2757 - we don't really need byacc these days. If we were to
# re-enable the *.hdr and li18n gui tests, then this should be removed
export NO_CHECK_FOR_YACC=1

%if %{skip_expect}
  patch -p0 -b -z .expect < %{PATCH14}
  ./install.sh
%else
  ./auto_install_test_suites
%endif

patch -p0 -b -z .chroot-fip < %{PATCH3}
# (sb) bug 2138 - conflict between LSB getline and tet getline
patch -p0 -b -z .bug2138 < %{PATCH10}
# (jal) bug 3345 - temp result file picks up fd 0 inappropriately
patch -p0 -b < %{PATCH18}

# (sb) use the LSB linker for the early tet compile
# bug 2709 - ccache forces itself into $CC here, use lsbcc
sed -i 's|CC = gcc|CC = lsbcc|' tet/src/defines.mk

# nonroot
cp %{SOURCE3} tet/test_sets
# end nonroot

# (sb) this one doesn't pick it up from the environment
# seems to be too many chained scripts and it gets dropped
# force the LSB linker for the binaries in TESTROOT/BIN and the tests
cat > tet/test_sets/scripts/common/post-config.sh << EOF
printf 'Changing CC="/usr/bin/cc" to CC="$CC" for common build\n'
sed -i 's|^CC=\"/usr/bin/cc"|CC=\"$CC\"|' SRC/vsxparams
EOF
chmod +x tet/test_sets/scripts/common/post-config.sh

pushd tet/bin
ln -s /bin/true chown
ln -s /bin/true chgrp
ln -s /bin/true usermod
ln -s /bin/true mount
rm -fr /tmp/vsxmnt || /bin/true
mkdir -p /tmp/vsxmnt || /bin/true
touch /tmp/vsxmnt/filler || /bin/true
popd
pushd tet/test_sets
sed -i 's|su root -c make|make|g' setup_testsets.sh
sed -i "s|^PATH = |PATH = $TOPDIR/tet/bin:|" SRC/install/Makefile.top
sed -i 's|exit 1|echo 1|' SRC/install/Makefile.top
sed -i "s|su vsx0 -c 'HOME=\`pwd\` BIN/install.sh'|HOME=\`pwd\` BIN/install.sh|" SRC/install/Makefile.top
sed -i 's|chmogpriv filldisc|chmogpriv|' SRC/install/Makefile.top
pushd SRC/BIN
cat > chmog.fake << EOF
#!/bin/sh
PERMS=\$1
MODE=\$4
SOURCE=\$5
shift 5
COPIES=\$#
if [ "\$COPIES" -lt 1 ];then
  exit 0
fi
for ((i=1;\$i<=\$COPIES;i=\$i+1));do
  if [ \$1 != "" ];then
    cp \$SOURCE \$1
    chmod \$PERMS \$1
    shift
  else
    exit 0
  fi
done
if [ "\$MODE" = "-m" ];then
  rm -f \$SOURCE
fi
EOF
chmod +x chmog.fake
popd
sed -i 's|SRC/BIN/chmog|SRC/BIN/chmog.fake|' SRC/common/lsbutils/Makefile.org
pushd ..
patch -p0 -b -z .lsbcc < %{PATCH4}
patch -p0 -b -z .isnan < %{PATCH5}
patch -p0 -b -z .lsbcc-posix < %{PATCH6}
patch -p0 -b -z .local-pam < %{PATCH8}
patch -p0 -b -z .bug-2688 < %{PATCH16}
#patch -p0 -b -z .vsth-debug < %{PATCH12}
popd

# SRC/common/wchar and SRC/common/vsthlib fail - use only LSB headers
sed -i 's|$(VSXDIR)/SYSINC||g' SRC/common/wchars/Makefile.org
sed -i 's|$(VSXDIR)/SYSINC||g' SRC/common/vsthlib/Makefile.org
# all kinds of failures seem to be driven by _POSIX_PRIORITY_SCHEDULING 
# not being defined
# also see bug 2663 on _POSIX_THREAD_PRIORITY_SCHEDULING
sed -i 's|CFLOCAL =|CFLOCAL = -D_POSIX_PRIORITY_SCHEDULING=200112L -D_POSIX_THREAD_PRIORITY_SCHEDULING=200112L|g' SRC/common/vsthlib/Makefile.org
# see similar issue with tsetlib later compiling the math tests
sed -i 's|$(VSXDIR)/SYSINC||g' SRC/common/tsetlib/Makefile.org
### FIXME - ppc chokes on this with error: redefinition of struct 'winsize'
# all we need from mounts.h is a couple of macros, just copy and munge
cp /usr/include/sys/mount.h SRC/common/vport
sed -i 's|#include <sys/ioctl.h>||g' SRC/common/vport/mount.h
sed -i 's|#include <sys/mount.h>|#include "mount.h"\n#include <sys/wait.h>\n#define WCONTINUED    0x00000008|g' ../LSB.tools/userintf.c

# Bugs 1614, 1618 - set SPEEDFACTOR at runtime
cd $TOPDIR
patch -p0 -b -z .speed < %{PATCH17}
# this child app needs vlib.a for WAITTIME (SPEEDFACTOR)
sed -i 's|$(OFILES1) $(SYSLIBS)|$(OFILES1) $(VSXLIB)/vport.a $(SYSLIBS)|g' tet/test_sets/tset/LSB.os/genuts/pclose/Makefile
cd -

# issue with __nldbl_printf on s390, s390x, ppc, ppc64
# switch to LSB headers for the harness build
sed -i 's|-I../SYSINC $DEFINES $COPTS "$cdirfile"| $DEFINES $COPTS "$cdirfile"|' SRC/install/scripts/install.sh
for dir in drivers gabilib genlib tet_startup thrstartup thrvlib thrvport vlib vprog vport vtools;do
  sed -i 's|$(VSXDIR)/SYSINC||g' SRC/common/"$dir"/Makefile.org
  sed -i 's|-I$(SYSINC)||g' SRC/common/"$dir"/Makefile.org
done

# bug 2709 - F9/10 use ccache by default and it seems to override attempts
# to use lsbcc, the response of "cc" in this interview becomes ccache
sed -i 's|cc|lsbcc|g' auto_configure_test_suites
# but, signal.h is not getting munged like it does on our build system(s)
# and this part of the build fails on lack of NSIG define - use LSB header
sed -i 's|$(VSXDIR)/SYSINC||g' SRC/common/thrtsetlib/Makefile.org

# our "magic" tet_vsxgen_3.7.tgz tarball has 32bit ia32 binaries in it
# some systems don't feel the need to rebuild them (bug 3426)
make -C SRC/common/lsbutils clean

# and do the pre-build
echo "XXXX Doing the pre-build/configure..."
%if %{skip_expect}
  # skip the expect interview, we build the same way all the time
  popd
  patch -p0 -b -z .expect2 < %{PATCH15}
  cd tet/test_sets
  sh ../setup.sh
  # put a clean tetexec.cfg in place
  cp %{SOURCE6} TESTROOT
  # we disable the script to build this, just do it manually
  dd if=/dev/zero of=loopback_disk.ext2 bs=1k count=2000
  /sbin/mke2fs -F loopback_disk.ext2
  /sbin/tune2fs -c 0 -i 0 loopback_disk.ext2
  cd ../..
%else
  CC=${CC} ./auto_configure_test_suites
  popd
%endif

rm -fr /tmp/vsxmnt || /bin/true
# end nonroot, nonvsx0

echo "XXXX Pre-build/configure is done, adding headers and altering Makefiles..."
# setup our pam_misc bits we built earlier
install -d tet/test_sets/SRC/SYSINC/security
# (jd) need all the PAM headers? - wonder if he didn't just not have pam-devel installed
# cp -f Linux-PAM-%{pversion}/libpam_misc/include/security/pam_misc.h tet/test_sets/SRC/SYSINC/security
cp -f Linux-PAM-%{pversion}/libpam/include/security/* tet/test_sets/SRC/SYSINC/security
cp -f Linux-PAM-%{pversion}/libpamc/include/security/* tet/test_sets/SRC/SYSINC/security
cp -f Linux-PAM-%{pversion}/libpam_misc/include/security/* tet/test_sets/SRC/SYSINC/security
cp -f Linux-PAM-%{pversion}/libpam_misc/.libs/libpam_misc.a tet/test_sets/SRC/LIB

# we toss this test later, so skip build too
sed -i 's|\t/tset/ANSI.os/streamio/gets/T.gets||g' tet/test_sets/scen.bld
# aio was removed in LSB 1.3 - skip these too
grep -v 'tset/LSB.os/aio' tet/test_sets/scen.bld > tet/test_sets/scen.bld.new
mv tet/test_sets/scen.bld.new tet/test_sets/scen.bld

# use the LSB headers instead of this private SYSINC copy of the system headers
for testdir in LI18NUX2K.L1 LSB.usersgroups PTHR.os POSIX.os LSB.pam LSB.os ANSI.os;do
  find tet/test_sets/tset/$testdir -name Makefile | xargs sed -i 's|-I$(SYSINC)||g'
done

# some LSB.os tests need this (get UNSUPPORTED results)
# we *should* get unsupported, it's not defined in LSB - see bug 2930
#for testdir in execl execle execlp execv execve execvp fork;do
#  sed -i 's|CFLOCAL =|CFLOCAL = -D_POSIX_PRIORITY_SCHEDULING=200112L|g' tet/test_sets/tset/LSB.os/procprim/$testdir/Makefile
#done

# these ANSI tests fail if we drop SYSINC
sed -i 's|-I$(VSXINC)|-I$(VSXINC) -I$(SYSINC)|g' tet/test_sets/tset/ANSI.os/diagnostics/assert/Makefile

# (jd) PAM tests need SYSINC on some OSs 
# (e.g. on SL10.3, but apparently not on SLES10)
for testdir in tet/test_sets/tset/LSB.pam/testcases/*; do
  sed -i 's|-I$(VSXINC)|-I$(VSXINC) -I$(SYSINC)|g' $testdir/Makefile
done

# as do these POSIX tests
for testdir in sysconf sysconf_X;do
  sed -i 's|-I$(VSXINC)|-I$(VSXINC) -I$(SYSINC)|g' tet/test_sets/tset/POSIX.os/procenv/$testdir/Makefile
done

# and some selected PTHR tests
for testdir in pthread_attr_getstackaddr pthread_attr_setstackaddr \
	pthread_attr_getstacksize pthread_attr_setstacksize;do
  sed -i 's|-I$(VSXINC)|-I$(VSXINC) -I$(SYSINC)|g' tet/test_sets/tset/PTHR.os/threadattr/$testdir/Makefile
done
for testdir in cfuncs files procenv sysdb;do
  find tet/test_sets/tset/PTHR.os/$testdir -name Makefile | xargs sed -i 's|-I$(VSXINC)|-I$(VSXINC) -I$(SYSINC)|g'
done

# not this PTHR test though
sed -i 's|-I$(SYSINC)||g' tet/test_sets/tset/PTHR.os/cfuncs/asctime_r/Makefile
sed -i 's|CFLOCAL\t=|CFLOCAL = -D_POSIX_THREAD_SAFE_FUNCTIONS=200112L|g' tet/test_sets/tset/PTHR.os/cfuncs/asctime_r/Makefile

# a couple of other PTHR tests need these (more UNRESOLVED)
sed -i 's|CFLOCAL\t=|CFLOCAL = -D_POSIX_REALTIME_SIGNALS=200112L|g' tet/test_sets/tset/PTHR.os/procprim/sigwait/Makefile
# bug 2663 - this is no longer wanted
#sed -i 's|CFLOCAL\t=|CFLOCAL = -D_POSIX_THREAD_PRIORITY_SCHEDULING=200112L|g' tet/test_sets/tset/PTHR.os/thread/pthread_create/Makefile

# dummy langinfo.h breaks this build when using LSB system headers
mv tet/test_sets/tset/ANSI.os/locale/setlocale/langinfo.h tet/test_sets/tset/ANSI.os/locale/setlocale/langinfo.h.bad
# and the dummy nl_types.h too
mv tet/test_sets/tset/ANSI.os/locale/setlocale/nl_types.h tet/test_sets/tset/ANSI.os/locale/setlocale/nl_types.h.bad
# these tests have their own newlocale function, which conflicts with the one
# from /opt/lsb/include/locale.h
sed -i 's|newlocale|tnewlocale|g' tet/test_sets/tset/ANSI.os/streamio/printf_X/*.c
sed -i 's|newlocale|tnewlocale|g' tet/test_sets/tset/ANSI.os/streamio/vprintf_X/*.c

# replace chmog with something we can run as a mortal
pushd tet/test_sets
pushd SRC/BIN
mv chmog chmog.org
mv chmog.fake chmog
popd
# (sb) PATH is so long the journal complains about truncation
export PATH=$OLDPATH
# FIXME - build doesn't find it?
cp BIN/vbuild ../bin
# END FIXME

echo "XXXX Buiding the tests..."
. ../profile;tccb -p test_sets
cd ../..
# fix all the script references to /home/tet
for badfile in `grep -lr '/home/tet' *`;do
  sed -i 's|/home/tet|%{iroot}|g' $badfile
done
popd 

# this one needs to manipulate our local tetexec.cfg
# not the system one, and probably not in /home/tet either
sed -i "s|%{iroot}|$TOPDIR/tet|g" set_config_for_arch

# and tetexec.cfg is hardcoded to the build dir
sed -i "s|$TOPDIR/tet|%{iroot}|g" tet/test_sets/TESTROOT/tetexec.cfg

# dynlibtest.2.1.so is explicitly linked to dynlib2.2.so with the
# build dir path, rebuild it and use a relative path so the test works
pushd tet/test_sets/TESTROOT/tset/LSB.os/libdl/dlclose
rm -f dynlibtest.2.1.so
cp dynlibtest.2.2.so ..
CFLAGS=" -D_XOPEN_SOURCE=500 -DUNDEF_MACROS -ansi"
DYNL_MKSO="$TOPDIR/tet/test_sets/SRC/dynl_mkso.sh"
SRCDIR="$TOPDIR/tet/test_sets/tset/LSB.os/libdl/dlclose"
CC=$CC CFLAGS=$CFLAGS $DYNL_MKSO -o dynlibtest.2.1.so -d ../dynlibtest.2.2.so $SRCDIR/dynlibtest.2.1.c
rm -f ../dynlibtest.2.2.so
popd

# same deal for dlopen tests, except there are 10 of them
SRCDIR="$TOPDIR/tet/test_sets/tset/LSB.os/libdl/dlopen"
pushd tet/test_sets/TESTROOT/tset/LSB.os/libdl/dlopen

# order matters here - do .3 before .2 (at least for dynlibtest.2.1.so)
for i in 2 7 14;do
  rm -f dynlibtest.$i.1.so
  cp dynlibtest.$i.2.so dynlibtest.$i.3.so ..
  CC=$CC CFLAGS=$CFLAGS $DYNL_MKSO -o dynlibtest.$i.1.so -d ../dynlibtest.$i.3.so ../dynlibtest.$i.2.so $SRCDIR/dynlibtest.$i.1.c
  rm -f ../dynlibtest.$i.2.so
done

rm -f dynlibtest.2.2.so
cp dynlibtest.2.4.so ..
CC=$CC CFLAGS=$CFLAGS $DYNL_MKSO -o dynlibtest.2.2.so ../dynlibtest.2.4.so $SRCDIR/dynlibtest.2.2.c
rm -f ../dynlibtest.2.4.so

rm -f libdyntest.7.3.so
cp dynlibtest.7.2.so ..
CC=$CC CFLAGS=$CFLAGS $DYNL_MKSO -o dynlibtest.7.3.so -d ../dynlibtest.7.2.so $SRCDIR/dynlibtest.7.3.c
rm -f ../dynlibtest.7.2.so

for i in 3 5 6;do
  rm -f dynlibtest.$i.1.so
  cp dynlibtest.$i.2.so ..
  CC=$CC CFLAGS=$CFLAGS $DYNL_MKSO -o dynlibtest.$i.1.so -d ../dynlibtest.$i.2.so $SRCDIR/dynlibtest.$i.1.c
  rm -f ../dynlibtest.$i.2.so
done

# and two of the binaries...
rm -f T.dlopen
$CC -ldl -Wl,-E -o T.dlopen $SRCDIR/dlopen.o $SRCDIR/dlopen_cp.o \
	./initord.so \
	$TOPDIR/tet/lib/tet3/tcm.o \
	$TOPDIR/tet/test_sets/SRC/LIB/startup.o \
	$TOPDIR/tet/test_sets/SRC/LIB/genlib.a \
	$TOPDIR/tet/test_sets/SRC/LIB/vlib.a \
	$TOPDIR/tet/test_sets/SRC/LIB/vport.a \
	$TOPDIR/tet/lib/tet3/libapi.a

rm -f test5
cp dynlibtest.5.2.so ..
$CC -ldl -Wl,-E -o test5 $SRCDIR/test5.o ../dynlibtest.5.2.so \
	$TOPDIR/tet/lib/tet3/tcmchild.o \
	$TOPDIR/tet/test_sets/SRC/LIB/genlib.a \
	$TOPDIR/tet/test_sets/SRC/LIB/vlib.a \
	$TOPDIR/tet/test_sets/SRC/LIB/vport.a \
	$TOPDIR/tet/lib/tet3/libapi.a
rm -f ../dynlibtest.5.2.so
popd
# end nonroot

%if %{skip_expect}
  #reverse this so we don't break the runtime
  patch -R -p1 < %{PATCH15}
  find . -name '*.expect2' | xargs rm -f
%endif

cp tet/test_sets/DOCS/vsxgde-1.0.pdf .

# Do architecture specific configuration
# (Eg settings in tetexec.cfg file)
./set_config_for_arch

#----------- tet

#==================================================
%install
rm -rf ${RPM_BUILD_ROOT}

# Save and check the build journal
%if %{save_journal}
  cp -f tet/test_sets/results/0001b/journal %{pwd}/tetbuild.journal
%endif
fails=`/opt/lsb-tet3-lite/bin/tjreport tet/test_sets/results/0001b/journal | grep -c FAIL`
if [ "$fails" -gt 1 ];then
  echo "Build journal has failures, aborting packaging"
  rm -fr /tmp/vsxmnt || /bin/true
  # try to give some context of the build failure
  for fail in `grep FAIL tet/test_sets/results/0001b/journal | awk  '{print $1}' | awk -F\| '{print $2}'`;do
    echo "Details:"
    echo "------------------------------------------------------------------"
    grep "|$fail" tet/test_sets/results/0001b/journal
  done
  exit 1
fi

mkdir -p ${RPM_BUILD_ROOT}%{iroot}/test_sets
mkdir -p ${RPM_BUILD_ROOT}%{iroot}/test_sets/tmp
mkdir -p ${RPM_BUILD_ROOT}%{iroot}/test_sets/results
mkdir -p ${RPM_BUILD_ROOT}%{iroot}/LSB.tools

# nonroot
# fix profile
TOPDIR=`pwd`
sed -i "s|TET_ROOT=$TOPDIR/tet|TET_ROOT=%{iroot}|" tet/test_sets/profile
# end nonroot

# move the old package messages to a README file
cat > README.%{name} <<EOF

You have added 3 user accounts into your system: vsx0, vsx1 and vsx2,
which are needed during the tests. But no password has been set for them.

Before run the tests, please choose a robust password for these users.
For example a combination of digits and upper and lower case letters.
 
To run the tests, please log in as vsx0 and follow the displayed instructions,
or su to vsx0 from root.

To run a single test:
login as vsx0 or "su - vsx0" from root 
(the "-" is to ensure you get the right environment)
cd /opt/lsb/test/core/tet/test_sets
Example:
tcc -e -l /tset/LI18NUX2K.L1/utils/egrep-tp/T.egrep-tp
EOF

# (sb) instead of copying the whole mess over and seeing all those 
# unpackaged files, just rsync what we want 
pushd tet/test_sets
for i in BIN TESTROOT scripts loopback_disk.ext2 scen.exec tet_code MAN;do
  rsync -a $i ${RPM_BUILD_ROOT}%{iroot}/test_sets
done

# remove the lock files
rm -fr ${RPM_BUILD_ROOT}%{iroot}/test_sets/scripts/locks/*

cd ..
for i in psldefs li18nux_psldefs;do
  rsync -a LSB.tools/$i ${RPM_BUILD_ROOT}%{iroot}/LSB.tools
done
popd

# Omit the hdr file tests and utilities which are not part of the LSB spec
egrep -v "ANSI.hdr|POSIX.hdr|PTHR.hdr|LI18NUX2K.L1/(hdr|gui)/|LI18NUX2K.L1/utils/(ed|ex|vi|nm)" ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec > /tmp/scen.exec.$$

# See what the current LSB.os count is
lcount=`grep "total tests in LSB.os" ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec | sed 's|"||g' | awk '{print $5}'`

# move the aio tests into a new section - reduce by 123
new_lcount=`expr $lcount - 123`
grep -v /aio/ /tmp/scen.exec.$$ | sed -e "s/LSB.os $lcount/LSB.os $new_lcount/" > /tmp/scen.exec.new.$$
# (sb) not being built, do not add them
#cat >> /tmp/scen.exec.new.$$ <<EOF
#aio
#        "total tests in LSB.os 123"
#EOF
#grep /aio/ /tmp/scen.exec.$$ >> /tmp/scen.exec.new.$$
cp /tmp/scen.exec.new.$$ ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec
rm -f /tmp/scen.exec.$$ /tmp/scen.exec.new.$$

# move the syslog tests into a new section - reduce by 124
lcount=$new_lcount
new_lcount=`expr $lcount - 124`
cp ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec /tmp/scen.exec.$$
egrep -v "syslog|openlog|closelog" /tmp/scen.exec.$$ | sed -e "s/LSB.os $lcount/LSB.os $new_lcount/" > /tmp/scen.exec.new.$$
cat >> /tmp/scen.exec.new.$$ <<EOF
syslog
	"total tests in LSB.os 248"
EOF
egrep "syslog|openlog|closelog" /tmp/scen.exec.$$ >> /tmp/scen.exec.new.$$
cp /tmp/scen.exec.new.$$ ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec
rm -f /tmp/scen.exec.$$ /tmp/scen.exec.new.$$

# disable fpeInexact - bug 2013 - reduce count by 2
lcount=$new_lcount
new_lcount=`expr $lcount - 2`
sed -i "s/LSB.os $lcount/LSB.os $new_lcount/" ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec
egrep -v "/tset/LSB.os/libm/fpeInexact/T.fpeInexact" ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec > /tmp/scen.exec.$$
cp /tmp/scen.exec.$$ ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec
rm -f /tmp/scen.exec.$$

# See what the current ANSI.os count is
acount=`grep "total tests in ANSI.os" ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec | sed 's|"||g' | awk '{print $5}'`

# Omit the gets file interface tests which are not part of the LSB spec
egrep -v "ANSI.os/streamio/(Mgets|gets)/T.gets" ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec > /tmp/scen.exec.$$

# adjust the test counts - reduce ANS.os by 14
new_acount=`expr $acount - 14`
cat /tmp/scen.exec.$$ | sed -e "s/ANSI.os $acount/ANSI.os $new_acount/" > /tmp/scen.exec.new.$$

cp /tmp/scen.exec.new.$$ ${RPM_BUILD_ROOT}%{iroot}/test_sets/scen.exec
rm -f /tmp/scen.exec.$$ /tmp/scen.exec.new.$$

# Delete the ANSI.hdr and POSIX.hdr tests
rm -rf ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/ANSI.hdr
rm -rf ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/POSIX.hdr

# Delete the VSTHlite PTHR.hdr tests
rm -rf ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/PTHR.hdr

# Delete the li8nux2k.l1 hdr and gui tests
rm -rf ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/LI18NUX2k.L1/hdr
rm -rf ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/LI18NUX2k.L1/gui

# Delete the "M" variants of the IBM contributed posix tests
rm -rf ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/Mposix_*
rm -rf ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/Mposix_*

# No "M" for the fpe tests either
rm -fr ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/LSB.os/libm/Mfpe*

# or the libc network tests
rm -fr ${RPM_BUILD_ROOT}%{iroot}/test_sets/TESTROOT/tset/LSB.os/network/M*

cp post_install.sh ${RPM_BUILD_ROOT}%{iroot}/test_sets/BIN/
chmod a+x ${RPM_BUILD_ROOT}%{iroot}/test_sets/BIN/post_install.sh
cp tet/test_sets/SRC/install/scripts/editcfg.sh ${RPM_BUILD_ROOT}%{iroot}/test_sets/BIN/

# fix the runtime-files.txt file to reflect the removed gets and aio tests
grep -v aio runtime-files.txt > runtime-files.txt$
grep -v T.gets runtime-files.txt$ > runtime-files.txt$$
grep -v gets_su runtime-files.txt$$ > runtime-files.txt$$$
grep -v Mgets runtime-files.txt$$$ > runtime-files.txt
rm -f runtime-files.txt$ runtime-files.txt$$ runtime-files.txt$$$
 
#nonroot/nonhome
install -d ${RPM_BUILD_ROOT}%{tet_home}
cp .profile ${RPM_BUILD_ROOT}%{tet_home}
cp tet/test_sets/profile ${RPM_BUILD_ROOT}%{tet_home}
cat > ${RPM_BUILD_ROOT}%{tet_home}/run_tests << EOF
#!/bin/sh
OLDHOME=\$HOME
cd %{iroot}/test_sets
export HOME=%{iroot}/test_sets
echo "Enter the root password:"
su root -c "./setup_tests"
if [ "\$?" -ne 0 ];then
  echo "Test setup failed - aborting"
  exit 1
fi
if [ -w /sys/fs/cgroup/cpu,cpuacct/lsb-test/tasks ];then
  /bin/echo \$\$ > /sys/fs/cgroup/cpu,cpuacct/lsb-test/tasks
fi
./run_tests
HOME=\$OLDHOME
cd ~/
EOF
chmod +x ${RPM_BUILD_ROOT}%{tet_home}/run_tests
pushd ${RPM_BUILD_ROOT}%{tet_home}
ln -sf %{iroot}/test_sets/BIN .
# FIXME - breaks DTK manager
#ln -sf %{iroot}/test_sets/results .
cd ..
ln -sf %{iroot}/LSB.tools .
popd
sed -i "s|~vsx0|%{iroot}/test_sets|" ${RPM_BUILD_ROOT}%{iroot}/test_sets/scripts/common/loopback_resetup.sh
for script in psl_resetup.sh machine_info rt_cgroup_resetup.sh;do
  cp $script ${RPM_BUILD_ROOT}%{iroot}/test_sets/scripts/common
done
 
# Tailor setup_tests script for architecture (was run_tests)
. ./LDSOFILE
cat > change_ldso.sh << EOF
sed -e "s@BUILD_VERSION=@BUILD_VERSION=\"${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} ($RPM_ARCH)\"@" -e "s@^LDSO=@LDSO=\"$LDSO\"@" -e "s@^OLDSO=@OLDSO=\"$OLDSO\"@"  setup_tests > ${RPM_BUILD_ROOT}%{iroot}/test_sets/setup_tests
EOF
chmod a+x change_ldso.sh && ./change_ldso.sh && rm -f change_ldso.sh
#rm -f ../LDSOFILE
chmod a+x ${RPM_BUILD_ROOT}%{iroot}/test_sets/setup_tests
# new script now to to run the tests
cp run_tests ${RPM_BUILD_ROOT}%{iroot}/test_sets
chmod a+x ${RPM_BUILD_ROOT}%{iroot}/test_sets/run_tests

# (sb) docs
%define docdir /opt/lsb/doc/lsb-test-core
mkdir -p $RPM_BUILD_ROOT%{docdir}
cp Artistic README README.%{name} vsxgde-1.0.pdf runtime-files.txt $RPM_BUILD_ROOT%{docdir}
for license in `find tet -name 'Licence*'`;do
  cp $license $RPM_BUILD_ROOT%{docdir}
done

# (sb) file verification/fix script
mkdir -p $RPM_BUILD_ROOT/opt/lsb/bin
cp verify-runtime.sh $RPM_BUILD_ROOT/opt/lsb/bin

# helper script to run a single test
cp single-core-test ${RPM_BUILD_ROOT}/opt/lsb/bin

# Copy the li18nux pseudo languages that we need
cp tet/test_sets/tset/LI18NUX2K.L1/base/nl_langinfo/LTP_IL* ${RPM_BUILD_ROOT}%{iroot}/LSB.tools/li18nux_psldefs/

# Install our syslogd and configure it for testing
mkdir -p $RPM_BUILD_ROOT%{irootbase}/syslogd/{sbin,etc,var/run}
install sysklogd-%{syslogdver}/syslogd $RPM_BUILD_ROOT%{irootbase}/syslogd/sbin/lsb-syslogd
for script in detect_syslogd run_syslogd save_syslogd_options;do
  install $script $RPM_BUILD_ROOT%{irootbase}/syslogd/sbin
done
cat > $RPM_BUILD_ROOT%{irootbase}/syslogd/etc/syslog.conf << EOF
# Dummy configuration for LSB Test Suite
EOF

#==================================================
%clean
# uncomment later. leave in now for speed
if [ ! -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then 
    rm -rf ${RPM_BUILD_ROOT}
fi
# (sb) clean up some of the other cruft we leave behind
rm -fr /tmp/vsxmnt || /bin/true

#======================================================================
%pre

# Need to create some groups and users beforehand because
# when the files are unpacked they need to be owned by the correct user
mkdir -p %{iroot}
mkdir -p /home/tet/test_sets
groupadd vsxg0 > /dev/null 2>&1 || true
groupadd vsxg1 > /dev/null 2>&1 || true
groupadd vsxg2 > /dev/null 2>&1 || true
useradd -g vsxg0 -d /home/tet/test_sets -s /bin/sh -c "VSX0 test login" vsx0 > /dev/null 2>&1 || true
useradd -g vsxg1 -d /home/tet -s /bin/sh -c "VSX1 test login" vsx1 > /dev/null 2>&1 || true
useradd -g vsxg2 -d /home/tet -s /bin/sh -c "VSX2 test login" vsx2 > /dev/null 2>&1 || true
passwd -n 0 vsx0 > /dev/null 2>&1 || true
passwd -n 0 vsx1 > /dev/null 2>&1 || true
passwd -n 0 vsx2 > /dev/null 2>&1 || true
# if we previously removed the users/groups, there may be 
# files left behind with the wrong uid/gid
chown -R vsx0:vsxg0 /home/tet/test_sets/.* || true
if [ -d %{iroot}/test_sets/results ];then
  chown -R vsx0:vsxg0 %{iroot}/test_sets/results || true
fi
#======================================================================
%post

# Do post install setup
%{iroot}/test_sets/BIN/post_install.sh > /dev/null 2>&1

# After new installation the test suites are no longer configured, so
# we remove this file
# added the || true - converted .debs complain about the rm
# seems the files/dirs are already gone when we get that far
rm -f %{iroot}/test_sets/.configured || true
# Also clean up any remnants from previous test runs
find %{iroot}/test_sets/TESTROOT/tset -name tet_xres | xargs -i rm -f {} \ || true;
find %{iroot}/test_sets/TESTROOT/tset -type d -name "d.*" | xargs -i rm -fr {} \ || true;

%postun
# (sb) clean up users/groups we created - bug 1992
# seq is not in LSB - do without it - do not do this on an upgrade though
if [ "$1" = "0" ];then
  for id in 0 1 2;do
    userdel "vsx$id" > /dev/null 2>&1 || true
    groupdel "vsxg$id" > /dev/null 2>&1 || true
  done
  # this one may be left behind too
  userdel vsxyy123 > /dev/null 2>&1 || true
  # and the supp groups
  for id in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31;do
    groupdel "supp$id" > /dev/null 2>&1 || true
  done
  # since the next install may have different uid/gid, remove all the
  # "droppings" that might break future test runs
  rm -fr %{iroot}/test_sets/TESTROOT
fi

#==================================================
%files
%defattr(-,vsx0,vsxg0)
%{iroot}/test_sets/BIN
%{iroot}/test_sets/TESTROOT
%{iroot}/test_sets/scripts
%{iroot}/test_sets/tmp
%{iroot}/test_sets/loopback_disk.ext2
%{iroot}/test_sets/scen.exec
%{iroot}/test_sets/tet_code
%{iroot}/test_sets/MAN
%dir /home/tet
%dir %{tet_home}
%{tet_home}/.profile
%{tet_home}/profile
%{tet_home}/run_tests
%{tet_home}/BIN
#%{tet_home}/results
/home/tet/LSB.tools

# (sb) files with special ownership
%defattr(-,root,vsxg0)
%{iroot}/test_sets/TESTROOT/BIN/lsb_execwithpriv
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/genuts/system_X/sys_t56
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/genuts/system_X/sys_t57
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/Mgetc/getc_su
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/Mputc/putc_t11
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fclose/fclose_t18
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fflush/fflush_t13
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fgets/fgets_su
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fopen/fopen_t23
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fopen/fopen_t30
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fputs/fputs_t11
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fread/fread_su
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/freopen/freop_t25
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/freopen/freop_t30
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fseek/fseek_t15
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fwrite/fwrite_t17
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/getc/getc_su
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/printf/printf_t68
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/putc/putc_t11
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/puts/puts_t11
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/remove/remove_su
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/scanf/scanf_su
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/vprintf/vprintf_t68
%{iroot}/test_sets/TESTROOT/tset/LI18NUX2K.L1/utils/localedef/localedef_priv
%{iroot}/test_sets/TESTROOT/tset/LSB.os/genuts/closelog_L/setupsyslog
%{iroot}/test_sets/TESTROOT/tset/LSB.os/genuts/nftw/T.nftw
%{iroot}/test_sets/TESTROOT/tset/LSB.os/genuts/openlog_L/setupsyslog
%{iroot}/test_sets/TESTROOT/tset/LSB.os/genuts/pclose/pclose_t6
%{iroot}/test_sets/TESTROOT/tset/LSB.os/genuts/syslog_L/setupsyslog
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ioprim/readv_L/readv_L_su
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ioprim/writev_L/writev_L_su
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ipc/msgctl/T.msgctl
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ipc/msgsnd/T.msgsnd
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ipc/semctl/T.semctl
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ipc/shmctl/T.shmctl
%{iroot}/test_sets/TESTROOT/tset/LSB.os/mfiles/msync/T.msync
%{iroot}/test_sets/TESTROOT/tset/LSB.os/mfiles/munmap/T.munmap
%{iroot}/test_sets/TESTROOT/tset/LSB.os/network/bindresvport/T.bindresvport
%{iroot}/test_sets/TESTROOT/tset/LSB.os/network/sethostname/T.sethostname
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/chroot/T.chroot
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/cuserid/cuserid_su
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/nice/T.nice
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/nice_X/nice_X1
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/ulimit/ulimit_t4
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/setpriority/T.setpriority
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/setrlimit/T.setrlimit
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/execl/execl3
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/execle/execle3
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/execlp/execlp3
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/execv/execv3
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/execve/execve3
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/execvp/execvp3
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/fork/fork2
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procprim/fork/fork8
%{iroot}/test_sets/TESTROOT/tset/LSB.pam/testcases/pam_acct_mgmt/pam_acct_mgmt
%{iroot}/test_sets/TESTROOT/tset/LSB.pam/testcases/pam_authenticate/pam_authenticate
%{iroot}/test_sets/TESTROOT/tset/LSB.pam/testcases/pam_chauthtok/pam_chauthtok
%{iroot}/test_sets/TESTROOT/tset/LSB.pam/testcases/pam_close_session/pam_close_session
%{iroot}/test_sets/TESTROOT/tset/LSB.pam/testcases/pam_fail_delay/pam_fail_delay
%{iroot}/test_sets/TESTROOT/tset/LSB.pam/testcases/pam_open_session/pam_open_session
%{iroot}/test_sets/TESTROOT/tset/LSB.pam/testcases/pam_setcred/pam_setcred
%{iroot}/test_sets/TESTROOT/tset/LSB.usersgroups/cinterface/initgroups/T.initgroups
%{iroot}/test_sets/TESTROOT/tset/LSB.usersgroups/commands/passwd/root_helper
### FIXME - not fully functional - disabled getspnam bit
%{iroot}/test_sets/TESTROOT/tset/LSB.usersgroups/commands/passwd/uberpass
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/dataform/cpio/cpio_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/dataform/tar/tar_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/devclass/tcgetpgrp/tcgetpg_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/chdir/chdir_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/chmod/T.chmod
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/chown/T.chown
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/creat/creat_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/creat/creat_t30
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/link/T.link
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkdir/mkdir_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkdir/mkdir_t19
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkfifo/mkfifo_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkfifo/mkfifo_t17
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t20_3
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t44
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t46
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/opendir/opendir_t5
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/pathconf/pathcf_t19
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/rename/rename_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/rename/rename_t17
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/rmdir/rmdir_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/rmdir/rmdir_t9
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/unlink/T.unlink
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/unlink/unlink_t9
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/utime/T.utime
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/ioprim/read/read_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/ioprim/write/write_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/getgid/T.getgid
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/getgroups/T.getgroups
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/getlogin/T.getlogin
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/getuid/T.getuid
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setgid/setgid_t01
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setgid/setgid_t03
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setgroups/T.setgroups
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setregid/T.setregid
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setuid/setuid_t01
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setuid/setuid_t03
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/exec/exec_setid
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/exec/exec_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/exec/exec_tstop
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/fork/fork_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/fork/fork_t18
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/fork/fork_t21
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/kill/kill_su
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/kill/kill_t12
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/kill_X/kill_su_X
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/sched_setscheduler/T.sched_setscheduler
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/asctime_r/T.asctime_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/ctime_r/T.ctime_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/getc_unlocked/T.getc_unlocked
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/getchar_unlocked/T.getchar_unlocked
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/getchar_unlocked/getchar_unlocked_exectests
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/gmtime_r/T.gmtime_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/localtime_r/T.localtime_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/localtime_r/localtime_r_exectests
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/rand_r/T.rand_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/cfuncs/strtok_r/T.strtok_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/files/readdir_r/T.readdir_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/procenv/getlogin_r/T.getlogin_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/procenv/ttyname_r/T.ttyname_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/sysdb/getgrgid_r/T.getgrgid_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/sysdb/getgrnam_r/T.getgrnam_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/sysdb/getpwnam_r/T.getpwnam_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/sysdb/getpwuid_r/T.getpwuid_r
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/thread/pthread_create/T.pthread_create
%{iroot}/test_sets/TESTROOT/tset/PTHR.os/thread/pthread_create/pthread_create_exectests

# (sb) more files with special ownership
%defattr(-,vsx0,vsxg1)
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkdir/mkdir_t5
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkfifo/mkfifo_t5
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/getegid/getegid_t1
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setgid/setgid_sg1

# (sb) more files with special ownership
%defattr(-,vsx0,vsxg2)
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/getgid/getgid_t01

# (sb) more files with special ownership
%defattr(-,root,vsxg2)
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/access/T.access

# (sb) more files with special ownership
%defattr(-,vsx1,vsxg0)
%{iroot}/test_sets/TESTROOT/tset/LSB.os/procenv/cuserid/T.cuserid
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkdir/mkdir_t4
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/mkfifo/mkfifo_t4
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/geteuid/geteuid_t1
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/setuid/setuid_su1

# (sb) more files with special ownership
%defattr(-,vsx2,vsxg0)
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procenv/getuid/getuid_t01

# (sb) more files with special ownership
%defattr(-,vsx1,vsxg1)
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fopen/fopen_t2
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fopen/fopen_t29
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/fopen/fopen_t33
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/freopen/freop_t2
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/freopen/freop_t29
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/freopen/freop_t37
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/tmpfile/tmpfile_t2
%{iroot}/test_sets/TESTROOT/tset/ANSI.os/streamio/tmpfile/tmpfile_t8
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ipc/semget/T.semget
%{iroot}/test_sets/TESTROOT/tset/LSB.os/ipc/semop/T.semop
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/creat/creat_t10
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/creat/creat_t11
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/creat/creat_t29
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/creat/creat_t7
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/creat/creat_t8
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/fstat/fstat_t1
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t10
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t14
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t15
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t16
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t45
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/open/open_t9
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/files/opendir/opendir_t14
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/ioprim/pipe/pipe_t10
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/exec/exec_tfail
%{iroot}/test_sets/TESTROOT/tset/POSIX.os/procprim/exec/exec_tok

# (sb) more files with special ownership
%defattr(-,root,root)
%dir %{iroot}/LSB.tools
%{iroot}/test_sets/run_tests
%{iroot}/test_sets/setup_tests
%{iroot}/test_sets/BIN/editcfg.sh
%{iroot}/test_sets/BIN/post_install.sh
%{iroot}/test_sets/TESTROOT/.keepme
%{iroot}/test_sets/TESTROOT/tset/LSB.usersgroups/cinterface/setegid/T.setegid
%{iroot}/test_sets/TESTROOT/tset/LSB.usersgroups/cinterface/seteuid/T.seteuid
%{iroot}/test_sets/TESTROOT/tset/LSB.usersgroups/commands/misc/T.misc

%defattr(-,vsx0,vsxg0)
%dir %{irootbase}
%dir %{iroot}
%dir %{iroot}/test_sets
%dir %{iroot}/test_sets/results

# Need pseudo language stuff
%{iroot}/LSB.tools/psldefs
%{iroot}/LSB.tools/li18nux_psldefs

%defattr(-,root,root)
%dir %{docdir}
%{docdir}/Artistic 
%{docdir}/README* 
%{docdir}/vsxgde-1.0.pdf
%{docdir}/runtime-files.txt
%{docdir}/Licence*
/opt/lsb/bin/verify-runtime.sh
/opt/lsb/bin/single-core-test
%{irootbase}/syslogd/sbin/*
%{irootbase}/syslogd/etc/syslog.conf
%dir %{irootbase}/syslogd
%dir %{irootbase}/syslogd/etc
%dir %{irootbase}/syslogd/sbin
%dir %{irootbase}/syslogd/var
%dir %{irootbase}/syslogd/var/run

#==================================================
%changelog
* Mon Apr 16 2012 Stew Benedict <stewb@linux-foundation.org>
- add a script to enable access to SCHED_RT (bug 3116)
- install/use the machine_info script to gather some basic info

* Tue Mar 29 2011 Stew Benedict <stewb@linux-foundation.org>
- calculate SPEEDFACTOR at runtime, rather than a fixed value
  (bug 1614, 1618, P17)

* Fri Mar 25 2011 Stew Benedict <stewb@linux-foundation.org>
- Try to improve use_time() for T.times (bug 2688), T.fork (bug 2270) (P16)

* Wed Mar 09 2011 Stew Benedict <stewb@linux-foundation.org>
- drop the need for expect to build 
  (P14,15 - configurable via %%skip_expect)

* Tue Mar 08 2011 Stew Benedict <stewb@linux-foundation.org>
- Patch 1,2,9,13 applied in bzr, dropped here

* Thu Feb 24 2011 Stew Benedict <stewb@linux-foundation.org>
- own the directories we populate (bug 3195)

* Wed Feb 04 2009 Stew Benedict <stewb@linux-foundation.org>
- revert -mlong-double-64 workaround on ppc32 for 
  tet/test_sets/tset/ANSI.os/streamio/*printf (bug 2527)

* Tue Nov 04 2008 Stew Benedict <stewb@linux-foundation.org>
- re-disable syslogd tests, people seeing deadlock issues (bug 2358)

* Tue Oct 07 2008 Stew Benedict <stewb@linux-foundation.org>
- fix T.setpriority perms, update the checker list

* Mon Oct 06 2008 Stew Benedict <stewb@linux-foundation.org>
- Fix issues with missing libc tests (bug 2337)

* Tue Sep 23 2008 Stew Benedict <stewb@linux-foundation.org>
- build, package our own syslogd so we can re-enable syslog tests 
  (bug 1409, S5, P11)

* Wed Sep 10 2008 Stew Benedict <stewb@linux-foundation.org>
- avoid copying/munging/using system stropts.h (rework P4, bug 2287)
- install all the Licence files (bug 1340)

* Thu Aug 21 2008 Stew Benedict <stewb@linux-foundation.org>
- drop results symlink, may be breaking dtk-manager (bug 2257)

* Thu Jul 31 2008 Stew Benedict <stewb@linux-foundation.org>
- add another set of IBM contributed tests (bug 2237)
  bindresvport, gethostid, endprotoent, getprotobyname, 
  getprotobynumber, getprotoent, setprotoent, ntohs, htons, 
  if_nameindex, if_nametoindex, if_indextoname, if_freenameindex, 
  inet_ntop, inet_pton, select, pselect, sethostname, sockatmark
- put a link in vsx0's home to results, makes it easier for manual review

* Wed Jul 09 2008 Stew Benedict <stewb@linux-foundation.org>
- add another set of IBM contributed tests (bug 2205)
  atoll, ecvt, gcvt, isblank, iswblank, stpncpy, strcasestr, strdup,
  strndup, strnlen, toascii, strtold, strtoll, strtoul, strtoull, 
  memmem, memrchr, sched_getscheduler, sched_rr_get_interval, 
  sched_setparam, sched_setscheduler and sched_yield

* Thu Jun 05 2008 Stew Benedict <stewb@linux-foundation.org>
- add another set of IBM contributed tests (bug 2151)
  acct, getpriority, setpriority, getrlimit, setrlimit, getrusage, 
  mlock, mlockall, munlock, munlockall, getpgid, getsid, setenv, 
  unsetenv, setgroups, setregid, killpg, sched_getparam, 
  sched_get_priority_max, sched_get_priority_min, usleep, wait4, waitid
- add spec changes to help address issues Jiri hit in building on openSuSE 10.3

* Tue May 27 2008 Stew Benedict <stewb@linux-foundation.org>
- Fix for bug 2138 - conflict between LSB getline and tet getline (P10)

* Fri May 16 2008 Stew Benedict <stewb@linux-foundation.org>
- Add another set of IBM contributed tests for drand48, erand48, initstate, 
  jrand48, lrand48, mrand48, nrand48, random, setstate, srand48, srandom,
  nanosleep, regcomp, regerror, regexec, regfree, __ctype_get_mb_cur_max,
  __ctype_tolower_loc, __ctype_toupper_loc, __cxa_atexit,
  __h_errno_location, __fxstat, __lxstat, __xstat, __rawmemchr,
  __strdup, __strtod_internal, __strtol_internal, __strtoul_internal
  (bug 2080)
- Automate the test count munging in this spec file, so we don't
  need to manually mess with this each time we add tests

* Thu Apr 03 2008 Stew Benedict <stewb@linux-foundation.org>
- Add another set of IBM contributed tests for raise, sigset, ualarm, 
  readlink, abs, div, fcvt, labs, ldiv,  brk, daemon, sbrk, setreuid,
  ftime, gettimeofday
- Do some cleanup of test "droppings" between installs (fix typos in
  some tests, remove test files after run, do some cleaning via rpm
  %%post, %%postun)

* Thu Mar 27 2008 Stew Benedict <stewb@linux-foundation.org>
- add an alarm() call to the fpe tests so they time out
  rather than consume the filesystem if the signal trap fails (bug 2013)
- disable fpeInexact - still has issues

* Fri Mar 14 2008 Stew Benedict <stewb@linux-foundation.org>
- Add IBM contributed tests for libc err, isascii, _toupper, _tolower,
  memccpy, strcasecmp, strncasecmp, strsep, strerror_r, stpcpy
- Re-mangle the test counts for new tests
- Fix some issues introduced by removing users/groups in %%postun
  (do not do it on upgrades, handle possible left over files/dirs
   from a previous install that now have the wrong uid/gid)

* Fri Mar 14 2008 Stew Benedict <stewb@linux-foundation.org>
- remove test users/groups in %%postun

* Tue Mar 04 2008 Stew Benedict <stewb@linux-foundation.org>
- Add IBM contributed tests for libc files,sysdb API
  fchown, statvfs, fstatvfs, setpwent, getpwent, 
  endpwent, setgrent, getgrent, endgrent

* Fri Feb 29 2008 Stew Benedict <stewb@linux-foundation.org>
- add IBM contributed tests for libc files API
  fchmod, ioctl, sync, fsync, tempnam, mkstemp, 
  mktemp, realpath, truncate, ftruncate

* Thu Feb 28 2008 Stew Benedict <stewb@linux-foundation.org>
- add missing includes to PAM tests (SIGSEGV on s390x, bug 1967)

* Tue Feb 26 2008 Stew Benedict <stewb@linux-foundation.org>
- add FHS test for hwclock/adjtime (bug 1483)
- fix logic issue in LSB.os/ioprim/{readev_L,writev_L} (bug 844)

* Thu Feb 21 2008 Stew Benedict <stewb@linux-foundation.org>
- eliminate multiple root prompts in run_tests (bug 1959)

* Wed Feb 20 2008 Stew Benedict <stewb@linux-foundation.org>
- need to drop SYSINC for gabilib.a build too 
  (s390, s390x, ppc, ppc64 long double issues)
- make set_config_for_arch manipulate the tetexec.cfg in the build dir
- tweak the "FAILs in build journal" message to give some context

* Tue Feb 19 2008 Stew Benedict <stewb@linux-foundation.org>
- add new libc network tests from IBM (bug 1844)
- redo test count munging for LSB.os
- move inet_aton test from inet->network with the rest of the network tests
- check for build journal failures and abort packaging if present
- check for /dev/pts mount in interview scripts (bug 1905)

* Thu Feb 14 2008 Stew Benedict <stewb@linux-foundation.org>
- move the old %%post messages to README.%{name} (bug 1940)
- define the %%version only in the Makefile

* Tue Jan 15 2008 Stew Benedict <stewb@linux-foundation.org>
- more build modifications to deal with changes in long-double support
  build failing on s390, s390x, ppc, ppc64 - use LSB headers for
  more of the tet harness build

* Fri Jan 04 2008 Stew Benedict <stewb@linux-foundation.org>
- re-patch swscanf.c for bug 1558 (P1)

* Wed Nov 28 2007 Stew Benedict <stewb@linux-foundation.org>
- add fpe tests contributed by Robert Schweikert

* Mon Nov 19 2007 Stew Benedict <stewb@linux-foundation.org>
- modify to build with lsbcc (P4,5,6, specfile changes)
- disable aio, gets build (not using the tests, do not build with lsbcc)
- drop SOURCE4, since we stopped using SYSINC
- drop P0 - stopped being used when S4 was added
- add new S4 - Linux-PAM - build a static, munged libpam_misc.a
- add P7 to patch Linux-PAM for our use, and P8 to use libpam_misc.a
- redo userintf.c patch - use a copy of system stropts.h
- restore use of LSB headers for ANSI.os, PTHR.os, POSIX.os
- replace mount/umount calls in userintf.c with system calls to mount/umount
- change selected ANSI.os and POSIX.os back to using SYSINC
- replace lckpwdf and ulckpwdf in pam_chauthtok with open,flock,close (P9)
- rework mount/umount replacement losetup already sets up loop device in script
- use SYSINC for some more PTHR and ANSI tests
- patch several PTHR tests to use bits/posix_opt.h
- skip pam_chauthtok 8 as UNTESTED - workaround does not work
- refactor more PTHR tests to use SYSINC
- treat PTHR.os/cfuncs/asctime_r/asctime_r.c special
- define TEST_UNIX to fix the various signal tests (P5)
- need to build uberpass anyway - disable the getspnam part (P4)
  (usersgroups/commands/misc was not running at all)
- some UNSUPPORTED tests need _POSIX_PRIORITY_SCHEDULING
  MAX_CANON, MAX_INPUT, NAME_MAX, PIPE_BUF
  _POSIX_REALTIME_SIGNALS, _POSIX_THREAD_PRIORITY_SCHEDULING
- another go at uberpass - replace getspnam
  just read /etc/shadow (12 failures otherwise - P4)
- integrate the ppc workaround for vport.a
- back off SYSINC for ANSI.os/signal/signal_X
- use -mlong-double-64 on ppc for tet/test_sets/tset/ANSI.os/streamio/*printf
- adapt posix_fadvise, posix_madvise to build with lsbcc

* Fri Nov 16 2007 Stew Benedict <stewb@linux-foundation.org>
- Add IBM contributed tests for:
  inet_aton, posix_fallocate, posix_fadvise, posix_madvise
  posix_spawn_file_actions_init, posix_spawn_file_actions_destroy
  posix_spawn_file_actions_addopen, posix_spawn_file_actions_addclose
  posix_spawn_file_actions_adddup2

* Tue Oct 30 2007 Stew Benedict <stewb@linux-foundation.org>
- add psl_resetup.sh and symlink LSB.tools in /home/tet (bugs #1385, 1522)

* Thu Jul 12 2007 Stew Benedict <stewb@linux-foundation.org>
- add lsb_release, profile.d tests (bugs 969, 1631)
- add tmp dir in %iroot for profile.d test

* Tue Jul 10 2007 Stew Benedict <stewb@linux-foundation.org>
- apply patches from bug 1055, re-enable tests

* Thu Mar 22 2007 Mats Wichmann <mats@freestandards.org> 3.1.90
- rename package to lsb-test-core, push version back to 3.1.90

* Mon Mar 19 2007 Stew Benedict 3.2-2
- put vsx* users back in home and 
  just adjust the scripts to run things out of /opt

* Sun Feb 18 2007 Stew Benedict <stewb@aysenterprises.com> 3.2-1
- 3.2 devel
- allow build as regular user (SOURCE3, spec file tricks)
  some of the things we need root for (loopback, locales install)
  are not needed to build the tests anyway
  chmog is the remaining issue 
    use a replacement to set perms, ownership is done in %%files
- do not build in /home/tet
- install in /opt/lsb/test/runtime/tet, not /home/tet
- rebuild dlclose, dlopen libs/bins to use relative paths so 
  they work in the install directory (linked based on builddir)
- change vsx0,1,2 HOME dirs for upgrades
 
* Mon Jan 22 2007 Stew Benedict <stewb@aysenterprises.com> 3.1.1-2
- add options to capture the build journal, not clean /home/tet
- add -Wall to cc options to help in debugging issues
- P0: patch wchar.h in SRC/SYSINC (copied from build host) for i18n issues
- P1: move test 19 in swscanf to before tests 12 and 14

* Wed Jan 10 2007 Stew Benedict <stewb@aysenterprises.com>
- 3.1.1 update build
- drop the SPECFILE detection - doesn't work with newer gcc 
- encourage the use of the LSB linker in the build
- only rsync what we need in %%install
- explicitly list the files with special ownership
- place docs in /opt/lsb/doc
- #1417 - deal with PASS_MIN_DAYS on test system
- #1427 - permission checker/restorer (feature request)
- #1482 - try to detect csh before asking about it
- #1543 - fix common.c for gcc41 build

* Wed May 5 2004 Chris Yeoh <cyeoh@samba.org>
- Second beta of 2.0 test suites

* Wed Mar 17 2004 Chris Yeoh <cyeoh@samba.org>
- First beta of 2.0 test suites

* Mon Jul 17 2003 Chris Yeoh <cyeoh@samba.org
- Updated test suites for 1.3.6 release

* Mon Apr 14 2003 Chris Yeoh <cyeoh@samba.org
- Updated test suites for 1.3.5 release

* Mon Mar 3 2003 Chris Yeoh <cyeoh@samba.org>
- Updated test suites for 1.3.4 release

* Wed Jan 15 2003 Chris Yeoh <cyeoh@samba.org>
- Updated test suites

* Wed Dec 4 2002 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os, vsx-pcts, li8nux2k and lsb-fhs test suites
- Now installs required li8nux2k locales before tests executed.

* Thu Nov 21 2002 Chris Yeoh <cyeoh@samba.org>
- Adds vsthlite test suite
- Adds li8nux2k.l1 test suite
- LSB 1.3 Beta program

* Wed Oct 23 2002 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os, vsx-pcts test suites
- Updated TET/VSXgen tarball to support testing on implementations that
  use function descriptors

* Fri Sep 20 2002 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os, vsx-pcts, usersgroups and fhs test suites
- Adds MAN pages back into binary package as these are used
  by vrpt test tool.

* Thu Jun 27 2002 Chris Yeoh <cyeoh@samba.org>
- Incorporates fix from lsb-fhs-1.2.2.1 so that
  optional c shell support can be disabled correctly

* Mon Jun 17 2002 Chris Yeoh <cyeoh@samba.org
- Incorporates tet_vsxgen 2.3 (PPC32 stdarg fix)
- Incorporates fix for run_tests IA64 fix

* Wed May 29 2002 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os, usersgroups and lsb-fhs test suites

* Wed May 1 2002 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os, vsx-pcts and lsb-fhs test suites

* Tue Apr 23 2002 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os, vsx-pcts and usersgroups test suites

* Sun Apr 7 2002 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os, vsx-pcts and tet_vsxgen
- Adds better error reporting/checking to running of test 
  suites

* Wed Mar 13 2002 Chris Yeoh <cyeoh@samba.org>
- Rebuild for updated lsb-os and vsx-pcts test suites
- Removal of automatic running of aio tests
- Renaming of package to lsb-runtime-test to be more consistent
  with wider LSB naming scheme

* Tue Mar 12 2002 Chris Yeoh <cyeoh@samba.org>
- Adds automatic marking of package version into journal

* Tue Feb 12 2002 Chris Yeoh <cyeoh@samba.org>
- Fix creation of home directories fro vsx1, vsx2 in preinstall script
- Invalidate configuration on installation/upgrade
- Add tjreport
- Rebuild with updated lsb-os test suite

* Thu Jan 24 2002 Chris Yeoh <cyeoh@samba.org>
- Update for updated lsb-os test suite (minor change)
- Recompile with fixed stub libraries

* Fri Jan 18 2002 Chris Yeoh <cyeoh@samba.org>
- Update for updated usersgroups and fhs test suites
- Recompile with dynamically linked getspnam
- Update documentation

* Mon Dec 17 2001 Chris Yeoh <cyeoh@samba.org>
- Adds /sbin and /usr/sbin to path for vsx0 user
- Compiled with PATH_MAX set to 4096

* Thu Dec 13 2001 Chris Yeoh <cyeoh@samba.org>
- Update for new lsb-os release
- Add vsxgde-1.0.pdf in rpm
- Add lsb-fhs questions on first run of tests
- No longer include header file tests

* Mon Dec 3 2001 Chris Yeoh <cyeoh@samba.org>
- Fixes source build problem where vsx users do not already exist
- Checks for expect before building
- Clarifies post installation message to make it clearer as to what to do
  next

* Tue Nov 27 2001 Chris Yeoh <cyeoh@samba.org>
- Updates RPM to build test suites totally from source

* Wed Oct 10 2001 Chris Yeoh <cyeoh@samba.org>
- Adds lsb-fhs and lsb-usersgroups test suites
- Updates other test suites and tet/vsxgen harness

* Wed Jun 6 2001 Chris Yeoh <cyeoh@samba.org>
- Update for new source test suites. Now includes
  lsb-os test suite
- Various bug fixes of installation/setup scripts

* Wed May 9 2001 Chris Yeoh <cyeoh@samba.org>
- Create.

